/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * RepositoryBean.java
 */

package org.eu.adapt.demonstrator.eb.demo;

import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EntityContext;
import javax.ejb.EntityBean;

public abstract class RepositoryBean implements EntityBean
{
    public String ejbCreate(String id)
        throws CreateException
    {
        setId(id);

        return null;
    }

    public void ejbPostCreate(String id)
    {
    }

    public abstract void setId(String id);

    public abstract String getId();

    public abstract void setLogEvents(Collection logEvents);

    public abstract Collection getLogEvents();

    public void setEntityContext(EntityContext entityContext)
    {
    }

    public void unsetEntityContext()
    {
    }

    public void ejbActivate()
    {
    }

    public void ejbPassivate()
    {
    }

    public void ejbLoad()
    {
    }

    public void ejbStore()
    {
    }    

    public void ejbRemove()
    {
    }
}
